# Kreyren's license

Version 09/12/2020-EU | 12:42:30 CEST (DD/MM/YYYY-EU | HH:MM:SS TIMEZONE)

Copyrighted by the creator Jacob Hrbek identified with an email kreyren@rixotstudio.cz and GPG signature key 0x765AED304211C28410D5C478FCBA0482B0AB9F10 assuming these identifications not hijacked (if hijacked the rights in this license are considered as suspended until access is restored) in 09/12/2020 12:42:30 CEST copyrighted as all rights reserved unless explicitly stated otherwise in this license/files/directories for countries, but not limited to territories, planets, galaxies and whatever is behind these, in front or in the middle of these that enforce copyright law (or it's equivalent) else the code is not allowed to be used under a sanction of waving fist at the general location of said jurisdiction area and screaming "Daaamn youu" while politely asking to respect the license as it is made to comply with four freedoms as defined by Free Software Foundation https://en.wikipedia.org/wiki/Four_Freedoms_(software) and made to make my life easier unless it is conflicting with the culture of the said location.

Preamble

This license is made to manage the legality of this software while allowing the contributors to propose changes and learn about the law in practice while giving me the option to use my preferred editor without babysitting the users and getting more features and code improvement passively.

## 0. Terminology

Section dedicated to explaining used terms to avoid confusion.

### 0.1. FIXME flags

FIXME flags are for internal purposes i.e to mark a relevant area for implementation or reimplementation and thus it is not expected to be considered a part of the license.

FIXME flags are generally defined as:

```
FIXME: Something here
FIXME-LOCATOR: Something here
```

or as a comment which could be:

```
<!--
	FIXME: Something here

	something else here
-->
```

### 0.2. Original repository

Meaning repository where this license has been created, as of 22/08/2020 it is located at the hyperlink https://github.com/reymacs/reymacs

### 0.3. Contributors

Life forms capable of submitting relevant improvements and cooperation in this project and it's forks.

### 0.4. Translators

Life forms capable of translating the project in other languages.

### 0.5. Maintainers

Life forms capable of managing the project in order to allow it's updates and community management.

### 0.6. End-users

Life forms that are using this source code and it's binaries.

FIXME-LEGAL: Needed more?

END OF TERMINOLOGY

## 1. Conditions

Parties using or actively cooperating on this project are allowed to use the licensed content as provided in this license as long as they:
	1. Reference all authors of the software that you are using in case you decide to make a changes in the code.
	2. Keep the software open-source and allow your users to gain access to the source code on demand in clear, visible and intuitive way i.e using GitHub repository while providing help with the source code to the best of your ability limited by your resources and motivation.
	3. Their actions are not directly harmful to the original project or it's community unless it is an act of self-defense or preservation of a life forms and it's species.
	4. Their actions are not violating this license.
	5. This license is not conflicting with laws in their jurisdictional area.
	6. They are capable of reading and understanding this license.
		6.1. They have the option to file a new issue on hyperlink https://github.com/reymacs/reymacs/issues/new (requires a GitHub account) to request help and/or ask on hyperlink https://webchat.freenode.net/##law (requires Freenode account) which is community of volunteers willing to help you with law.
	7. In case of a conflict you are expected to attempt solution through the original project for out-of-court resolution

END OF CONDITIONS

## 2. Rights of relevant parties

Life forms affiliated with this software usage and development have the following rights assuming conditions above not violated:
	1. Perform changes to the source code
	2. Redistribute the source code and it's binaries
	3. Politely request help with the source code assuming that your questions are in a language understandable by the party that you are requesting the help from and you are asking **short** and sensible questions while having the required knowledge to work with the source code
	4. Request more permission on demand in the issue tracker of the relevant project
		4.1. You are not allowed to directly perform changes in this license, but if you want to change something in this license you have the right to propose the change and implement it to the original repository once approved.

## 3. Legality

This license is provided to the best of project's ability to not conflict with legality of relevant jurisdictional area which is humanly and theoretically impossible to comfort in the real time for reasons of, but not limited to insufficient space exploration, regular changes of the law for relevant areas and resources needed for the implementation.

As mentioned above you are not allowed to use the software if you are aware that it is conflicting with a law in your jurisdictional area.

## 4. Your agreement

You are not requested to accept this license as you did not sign it, but nothing other then this license grants you the permission to use the copyrighted material the way it is described here and thus by using the software and/or utilizing the rights granted by this license and/or contributing to the project you indicate your acceptance of this license.

## 5. Maintenance of this license

This license is versioned at it's header using date, time and timezone signed using a valid GPG signature of the copyright holder through software git <https://git-scm.com/> which is designed to overwrite the previous version the day it has been merged in the original repository.
The copyright holder reserves the right to perform the update at any time for any reason.

Each license update voids the previous license version.

## 6. Your contributions

Everyone is allowed to propose changes to the software as long as it complies with informations provided in `CONTRIBUTING.md` at the root of relevant directory (if it exists) and said life-form owns the copyright to the work that they are submitting to this project since submission of copyrighted material would make the project illegal in countries that enforce copyright law.

### 6.1. Requirement for signature
Your contributions has to be signed with a valid GPG signature to prove your copyright claim and to prove your acceptance of this license.

### 6.2. Right to revoke the contribution

In case the contributor's jurisdictional area grants them the right to revoke their contribution then by using a valid GPG signature they revoke the right to revoke their contribution for that specific contribution.

### 6.3. Right to be anonymous

In case the contributor wants to stay anonymous they can state in the commit message using the following clause:

```
I the copyright holder identified by a valid GPG signature here by transfer the copyright ownership of all the material provided to the project to which i am submitting this contribution as I in a good faith believe that I am the rightful copyright holder of all the material provided.
```

### 6.4. Patents

Contributors by using a valid GPG signature and submitting their material to this reymacs project grants the mentioned project a non-exclusive, space-wide, royalty-free patent license under the contributor's essential patent claims to make, use, sell, offer for sale, import and otherwise run, modify and propagate the provided material.

## 7. Warranty

This copyrighted material is provided by the copyright holder and other parties with no warranty unless explicitly stated otherwise.
Should the mentioned material prove defective you as the user of the said material assume the cost of all necessary servicing, repair or corrections as a result of your usage of said material while having the obligation to inform the original project about this unwanted behavior so that it can be resolved.

If you are using said material and your party is not described in terminology or defined here then you assume a role of an end-user until your party can be appropriately defined.

## 8. Resolving of conflicts

In case you found a conflict in this license and/or in case the software is violating your rights then you are expected to attempt resolution of this through the original project using a new "ticket" in the issue tracker located (as of 22/08/2020) at hyperlink https://github.com/reymacs/reymacs/issues/new (requires a github account) or through an email to the copyright holder prior to filing a lawsuit as this project is made to resolve these kinds of conflicts out-of-court.

## 9. Termination

Original project reserves the explicit right to terminate the rights of it's affiliated parties (i.e. End-users, Contributors, etc..) to this license in case they are in a jurisdictional area that enforces copyright law (or it's equivalent) that gives us the option/right to enforce this license and they break any of the stated text in this license.
The termination starts at immediately after the conflicting party has been informed about it though delivering this written text that is expected to be signed with valid GPG of the copyright holder or privileged party:

```md
## Kreyren's license termination

Dear <NAME>,

We regret to inform you that your <project-name> rights to our license <LINK_TO_LICENSE> has been terminated for the following reason(s):

<REASON>

We demand that you resolve these issues as soon as possible so that your rights can be restored.

We are informing you that you have been granted special rights for this termination process that might be of use to you in case this termination conflicts with your culture or similar situation.

Sincerely,
- <NAME>
```

In general project does it's best to avoid termination by providing a written warning so that the issues can be resolved appropriately which may be provided using a written text signed with a valid GPG signature of a copyright holder or privileged party:

```md
# Kreyren's license violation warning

Dear <NAME>, your action is required,

We are informing you about what we believe is a license violation on your part:

<Explanation>

Thus reymacs project demands that you resolve these issues within <VALUE> Hours otherwise we will be forced to terminate your rights to the copyrighted material provided by reymacs project.

Thank you for your cooperation,
- <NAME>
```

### 9.1. Rights in case of termination

We want to make the license acceptable for everyone and thus we grant these rights to the terminating party that are expected to make the license better in that area.

#### 9.1.1. Exceptions

Terminating party have the right to request exception which will be considered appropriately, for example cultural reasons are a valid reason for an exception that is then expected to be implemented in the license.

#### 9.1.2. Request for more time

In case the terminated party stated that they don't have the resources to resolve the mentioned issues in a specified time then they have the right to request more time.

#### 9.1.3. Request for help

In case the terminated party stated that they are not qualified to resolve these issues nor they don't have the resources to resolve them then they have the right to request help from the reymacs project.